Skip to content

pickPickingListLine

WRITE

Pick, partial-pick (short), or unpick a picking line.

POST /api/v1/inventory/pickPickingListLine
curl -X POST '<your-host>/api/v1/inventory/pickPickingListLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pickingListLineId": "string",
    "quantity": 0,
    "idempotencyKey": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "pickingListLineId": {
      "type": "string"
    },
    "quantity": {
      "type": "number"
    },
    "markShort": {
      "type": "boolean"
    },
    "idempotencyKey": {
      "type": "string"
    }
  },
  "required": [
    "pickingListLineId",
    "quantity",
    "idempotencyKey"
  ]
}